Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create issue attachment

POST/workspaces/{organizationId}/issues/{issueId}/attachments
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
urlstring<uri>required
titlestring
subtitlestring
Responses
201

Attachment created

idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearIdstringrequired
urlstringrequired
titlestring | nullrequired
subtitlestring | nullrequired
r2Keystring | nullrequired
createdAtstringrequired
404

Issue not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/string/attachments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "title": "string",
  "subtitle": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "linearId": "string",
  "url": "string",
  "title": "string",
  "subtitle": "string",
  "r2Key": "string",
  "createdAt": "string"
}

Was this page helpful?